GHSA-j5hj-fhc9-g24m

Suggest an improvement
Source
https://github.com/advisories/GHSA-j5hj-fhc9-g24m
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2017/10/GHSA-j5hj-fhc9-g24m/GHSA-j5hj-fhc9-g24m.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-j5hj-fhc9-g24m
Aliases
Published
2017-10-24T18:33:35Z
Modified
2024-02-16T08:14:59.228826Z
Severity
  • 5.3 (Medium) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
rack-mini-profiler allows remote attackers to obtain sensitive information about allocated strings and objects
Details

The rack-mini-profiler gem before 0.10.1 for Ruby allows remote attackers to obtain sensitive information about allocated strings and objects by leveraging incorrect ordering of security checks.

References

Affected packages

RubyGems / rack-mini-profiler

Package

Name
rack-mini-profiler
Purl
pkg:gem/rack-mini-profiler

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.10.1

Affected versions

0.*

0.1
0.1.1
0.1.2
0.1.3
0.1.4
0.1.5
0.1.6
0.1.7
0.1.8
0.1.9
0.1.10
0.1.11.pre
0.1.12.pre
0.1.13.pre
0.1.14.pre
0.1.15.pre
0.1.16
0.1.17
0.1.18
0.1.19
0.1.20
0.1.21
0.1.22
0.1.23
0.1.24
0.1.25
0.1.26
0.1.27
0.1.28
0.1.29
0.1.30
0.1.31
0.9.0.pre
0.9.0
0.9.1
0.9.2
0.9.3
0.9.4
0.9.5
0.9.6
0.9.7
0.9.8
0.9.9
0.9.9.1
0.9.9.2